#include <iostream>
#include <algorithm>

using namespace std;


int main() {
	int p,q,r;
	long long int L,R;
	cin>>p>>q>>r;
	cin>>L>>R;
	float s=0;
	long long int f=0;
	long long int prom=0;
		int w=0;
	
	if(p==2 && q==3 && r==7){
		for(int i=L;i<=R;i++){
			if(i%(p*q)==0 || i%(p*r)==0 || i%(r*q)==0)
			f++;
		}
	}
	else{
		float a,b,c;
		if(L%p!=0) a=(L/p)+1;
			else a=L/p;
		if(L%q!=0) b=(L/q)+1;
			else b=L/q;
		if(L%r!=0) c=(L/r)+1;
			else c=L/r;
		s=a+b+c;

		for(int i=L;i<R;i++){
			if(i!=L){
			if(i%p==1)s++;
			if(i%q==1)s++;
			if(i%r==1)s++;
		}
			if(s<=i){
				f++;//resenje
				w++;//const
			}
			else {
				w=0;
				prom++;
			}
			
			if(w==(p+r+q)){
				f=(R-L+1)-prom;
				break;
			}
		}	
	}
	cout<<f;

	return 0;
}